#!/bin/bash

source $HOME/.conky/analog_clock1/analog.cfg

if [[ $withdate == "yes" ]]; then
if [ -n "`which convert`" ]; then
	cp ~/.conky/analog_clock1/cairo_clock1.lua ~/.conky/analog_clock1/cairo_clock.lua
	rm ~/.conky/analog_clock1/theme/actuel/bouton1.png
	rm ~/.conky/analog_clock1/theme/actuel/bouton2.png
	a=$(date +%^A | cut -c1)
	b=$(date +%A | cut -c2,3)
	c=$(date +%d)
	d=$(date +%^B | cut -c1)
	e=$(date +%B | cut -c2-4)
	convert ~/.conky/analog_clock1/theme/actuel/boutonori.png -font "DejaVu-Sans-Bold" -pointsize 10 -gravity center -fill black -annotate 0x0+0+1 $a$b ~/.conky/analog_clock1/theme/actuel/bouton1.png
	convert ~/.conky/analog_clock1/theme/actuel/boutonori.png -font "DejaVu-Sans-Bold" -pointsize 10 -gravity center -fill black -annotate 0x0+0+1 $c ~/.conky/analog_clock1/theme/actuel/bouton2.png
else
yad --center --title "Clock Settings" --text "  Package 'imagemagick' is not installed,   \n  Install it for displaying the date on the clock. \n  <b>apt-get install imagemagick</b>   " --button="gtk-close" --timeout=5

	cp ~/.conky/analog_clock1/cairo_clock2.lua ~/.conky/analog_clock1/cairo_clock.lua
fi
else
	cp ~/.conky/analog_clock1/cairo_clock2.lua ~/.conky/analog_clock1/cairo_clock.lua
fi
conky -c ~/.conky/analog_clock1/.conkyrc_analog1	
exit
